/*-
 * Copyright 2021 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.ade.foodwaterenergycitygml4j.landuse.model.xsd;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml.AbstractFeatureType;
import net.opengis.gml.CodeType;
import net.opengis.gml.ScaleType;

@XmlType(name = "FoodSurvey")
public class FoodSurveyType extends AbstractFeatureType {
	
	
	@XmlElement(name = "foodCategory")
	private CodeType foodCategory;
	@XmlElement(name = "foodDemand")
	private ScaleType foodDemand;
	@XmlElement(name = "foodProduction")
	private ScaleType foodProduction;
	@XmlElement(name = "foodProductionWaterDemand")
	private ScaleType foodProductionWaterDemand;
	@XmlElement(name = "foodProductionEnergyDemand")
	private ScaleType foodProductionEnergyDemand;
	@XmlElement(name = "foodConsumption")
	private ScaleType foodConsumption;
	
	public CodeType getFoodCategory() {
		return foodCategory;
	}
	public void setFoodCategory(CodeType foodCategory) {
		this.foodCategory = foodCategory;
	}
	public ScaleType getFoodDemand() {
		return foodDemand;
	}
	public void setFoodDemand(ScaleType foodDemand) {
		this.foodDemand = foodDemand;
	}
	
	public ScaleType getFoodProduction() {
		return foodProduction;
	}
	public void setFoodProduction(ScaleType foodProduction) {
		this.foodProduction = foodProduction;
	}
	
	public ScaleType getFoodProductionWaterDemand() {
		return foodProductionWaterDemand;
	}
	public void setFoodProductionWaterDemand(ScaleType foodProductionWaterDemand) {
		this.foodProductionWaterDemand = foodProductionWaterDemand;
	}
	
	public ScaleType getFoodProductionEnergyDemand() {
		return foodProductionEnergyDemand;
	}
	public void setFoodProductionEnergyDemand(ScaleType foodProductionEnergyDemand) {
		this.foodProductionEnergyDemand = foodProductionEnergyDemand;
	}
	
	public ScaleType getFoodConsumption() {
		return foodConsumption;
	}
	public void setFoodConsumption(ScaleType foodConsumption) {
		this.foodConsumption = foodConsumption;
	}
	

	

}
